<?xml version="1.0" encoding="windows-1252"?>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:c="http://xmlns.jcp.org/jsp/jstl/core">
    <head>
        <title>TODO supply a title</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    </head>
    <body>
        <div class="widget-content">


            <h:form id="form_orden">
                <p:dataTable id="table_orden" var="orden" rowIndexVar="index"
                             sortOrder="descending"
                             value="#{ordenManagedBean.todosOrdenes}"
                             rows="10" paginator="true"
                             paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                             rowsPerPageTemplate="5,10,15"
                             emptyMessage="No se encuentran datos">
                    <p:column filterBy="#{orden.codigo}" headerText="codigo" 
                              filterMatchMode="contains"   class="col-md-3 col-lg-3" sortBy="#{orden.codigo}" >
                        <h:outputText value="#{orden.codigo}"></h:outputText>                                                    
                    </p:column>

                    <p:column filterBy="#{orden.cantidad}" headerText="cantidad" 
                              filterMatchMode="contains" class="col-md-6" sortBy="#{orden.cantidad}">
                        <h:outputText value="#{orden.cantidad}"></h:outputText>

                    </p:column>

                    <p:column filterBy="#{orden.fecha}" headerText="fecha" 
                              filterMatchMode="contains" class="col-md-6" sortBy="#{orden.fecha}">
                        <h:outputText value="#{orden.fecha}"></h:outputText>
                    </p:column>

                    <p:column headerText="Acciones" class="col-md-3">


                        <p:commandButton icon="fa fa-pencil" id="editar"
                                         actionListener="#{ordenManagedBean.actualizarOrden()}"
                                         update=":form_editar" 
                                         oncomplete="PF('dlg_editar').show();"/>
                        <p:tooltip for="editar" value="Editar" position="top"/>

                        <p:commandButton icon="fa fa-trash" id="eliminar" style="color: red !important;"
                                         onclick="PF('dgEliminar').show();">
                            <f:setPropertyActionListener value="#{orden}" target="#{ordenManagedBean.orden}" />

                        </p:commandButton>
                        <p:tooltip for="eliminar" value="Eliminar" position="top"/>                                                                                
                    </p:column>
                </p:dataTable>
                <p:confirmDialog  closable="false" message="Desea eliminar el registro?"  
                                  widgetVar="dgEliminar" showEffect="fade" hideEffect="fade">

                    <p:commandButton value="si" 
                                     actionListener="#{ordenManagedBean.eliminarOrden()}"
                                     update=":form_orden:table_orden"
                                     icon="ui-icon-check"
                                     oncomplete="PF('dgEliminar').hide();"                                                
                                     />
                    <p:commandButton value="No" icon="ui-icon-close"
                                     oncomplete="PF('dgEliminar').hide();"
                                     actionListener="#{ordenManagedBean.limpiarDialogo()}"                                                
                                     />
                </p:confirmDialog>                                                    
            </h:form>            

        </div>
        <!--  DIALGO DE AGREGAR ORDEN-->

        <p:dialog id="dlg_agregar"   width="700" height="400" header="Nueva orden" widgetVar="dlg_agregar_orden" modal="true"  
                  position="center center" onShow="PF('dlg_agregar').initPosition()">
            <p:ajax event="close" update="form_agregar_orden" resetValues="true" listener="#{ordenManagedBean.limpiarDialogo()}" />
            <h:form id="form_agregar_orden"><br/>

                <p:panelGrid id="pgcliente" style="margin: 0 auto">                        
                    <p:row>
                        <p:column colspan="1"><p:outputLabel value="Codigo"/></p:column>
                        <p:column colspan="1"> 
                            <p:inputText value="#{ordenManagedBean.orden.codigo}">
                            </p:inputText> <p:messages />
                        </p:column> 
                        <p:column colspan="1"><p:outputLabel value="cantidad"/></p:column>                                                      
                        <p:column colspan="1"> 
                            <p:inputText value="#{ordenManagedBean.orden.cantidad}">
                            </p:inputText> <p:messages />
                        </p:column>
                    </p:row>
                    <p:row>
                         <p:column colspan="1"><p:outputLabel value="Cliente"/></p:column>
                    <p:column colspan="1"> 
                        <p:selectOneMenu value="#{ordenManagedBean.orden.cliente}" converter="clienteConverter" filter="true" editable="true">
                            <f:selectItem itemLabel="Elegir.." itemValue="#{null}" noSelectionOption="true" />
                            <f:selectItems value="#{ordenManagedBean.todosClientes}" var="cl" itemLabel="#{cl.nombre}" itemValue="#{cl}" />
                        </p:selectOneMenu>         
                    </p:column> 
                    <p:column colspan="1"><p:outputLabel value="Productos"/></p:column>                                                      
                    <p:column colspan="1"> 
                        <p:selectManyMenu value="#{ordenManagedBean.productos}"
                                          converter="productoConverter"
                                          var="ps"
                                          filter="true" filterMatchMode="contains"
                                          showCheckbox="true"
                                          style="width:300px;">
                            <f:selectItems value="#{ordenManagedBean.todosProductos}" var="pd"
                                           itemLabel="#{pd.nombre}" itemValue="#{pd}"/>                            
                        </p:selectManyMenu>
                    </p:column>
                        
                    </p:row> 
                    <p:row>
                        <p:column colspan="4"   >
                            <p:commandButton id="button" style="margin-left:378px; width: 150px;"                                                  
                                             update=":form_orden:table_orden"                                                
                                             actionListener="#{ordenManagedBean.guardarOrden()}"
                                             value="Aceptar"/>

                        </p:column>

                    </p:row>                                              
                </p:panelGrid>

            </h:form>

        </p:dialog>
        <!--  DIALGO DE EDITAR ORDEN-->
        <p:dialog id="dlg_editar"   width="700" height="400" header="Editar orden" widgetVar="dlg_editar_orden" modal="true"  
                  position="center center" onShow="PF('dlg_editar').initPosition()">
            <p:ajax event="close" update="form_editar_orden" resetValues="true" listener="#{ordenManagedBean.limpiarDialogo()}" />
            <h:form id="form_editar_orden"><br/>

                <p:panelGrid id="pgcliente" style="margin: 0 auto">                        
                    <p:row>
                        <p:column colspan="1"><p:outputLabel value="Codigo"/></p:column>
                        <p:column colspan="1"> 
                            <p:inputText value="#{ordenManagedBean.orden.codigo}">
                            </p:inputText> <p:messages />
                        </p:column> 
                        <p:column colspan="1"><p:outputLabel value="cantidad"/></p:column>                                                      
                        <p:column colspan="1"> 
                            <p:inputText value="#{ordenManagedBean.orden.cantidad}">
                            </p:inputText> <p:messages />
                        </p:column>
                    </p:row>
                    <p:row>
                         <p:column colspan="1"><p:outputLabel value="Cliente"/></p:column>
                    <p:column colspan="1"> 
                        <p:selectOneMenu value="#{ordenManagedBean.orden.cliente}" converter="clienteConverter" filter="true" editable="true">
                            <f:selectItem itemLabel="Elegir.." itemValue="#{null}" noSelectionOption="true" />
                            <f:selectItems value="#{ordenManagedBean.todosClientes}" var="cl" itemLabel="#{cl.nombre}" itemValue="#{cl}" />
                        </p:selectOneMenu>         
                    </p:column> 
                    <p:column colspan="1"><p:outputLabel value="Productos"/></p:column>                                                      
                    <p:column colspan="1"> 
                        <p:selectManyMenu value="#{ordenManagedBean.productos}"
                                          converter="productoConverter"
                                          var="ps"
                                          filter="true" filterMatchMode="contains"
                                          showCheckbox="true"
                                          style="width:300px;">
                            <f:selectItems value="#{ordenManagedBean.todosProductos}" var="pd"
                                           itemLabel="#{pd.nombre}" itemValue="#{pd}"/>                            
                        </p:selectManyMenu>
                    </p:column>
                        
                    </p:row> 
                    <p:row>
                        <p:column colspan="4"   >
                            <p:commandButton id="button" style="margin-left:378px; width: 150px;"                                                  
                                             update=":form_orden:table_orden"                                                
                                             actionListener="#{ordenManagedBean.actualizarOrden()}"
                                             value="Aceptar"/>

                        </p:column>

                    </p:row>                                              
                </p:panelGrid>

            </h:form>

        </p:dialog>
    </body>
</html>
